use ExtUtils::MakeMaker;

$VERSION = `cat ../VERSION`; chomp $VERSION;
$LINKTYPE = 'dynamic';

WriteMakefile(
    NAME		=> 'DBIF',
    LIBS		=> ['-L../vxtools -lvxtools.pic'],
    INC			=> '-I../vxtools',
    MAN3PODS		=> ' ',
#    XSPROTOARG		=> '-noprototypes',
    VERSION		=> $VERSION,
    LINKTYPE		=> $LINKTYPE,
    INSTALLSITELIB	=> '$(PREFIX)/lib/VxMail/site_perl',
    INSTALLARCHLIB	=> '$(PREFIX)/lib/VxMail/site_perl',
    INSTALLSITEARCH	=> '$(PREFIX)/lib/VxMail/site_perl/i386-linux',
#    LDFLAGS		=> '-L../vxtools',
    ($] >= 5.005 ?
	(ABSTRACT	=> 'Perl5 interface for the VxMail database',
	 AUTHOR		=> 'Boris Jakubith <bj@isv-gmbh.de>') : ()),
);
