/* dgTypeSel.h
**
** Interface file for `dgTypeSel.c'.
** ()
**
*/
#ifndef _DGTYPESEL_H
#define _DGTYPESEL_H

#include <sys/types.h>

typedef void (*update_ft) (void *ctx, unsigned char *msg, size_t msglen);
typedef void (*init_ft) (void *ctx);
typedef void (*final_ft) (unsigned char buf[], void *ctx);

/* type table structure for the selection of the real implementation of the
** message digest algorithm.
*/
struct dgTypeSel {
    char *dgNAME;
    size_t ctxsz;
    size_t digsz;
    update_ft update;
    init_ft init;
    final_ft final;
};

extern struct dgTypeSel dgtrans[];

#endif /* defined(_DGTYPESEL_H) */
